IF EXISTS(SELECT 1 FROM SYSCOLUMNS WHERE ID = OBJECT_ID('CONCILIACAO_CARTOES_LINX_CONCILIADOR') AND NAME = 'IDT_TRANSACAO')
BEGIN
IF not OBJECT_ID('PK_CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC') IS NULL
begin
ALTER TABLE CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC DROP CONSTRAINT PK_CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC
END
ALTER TABLE CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC ALTER COLUMN IDT_TRANSACAO BIGINT NOT NULL;

ALTER TABLE CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC ADD CONSTRAINT PK_CONCILIACAO_CARTOES_LINX_CONCILIADOR_PARC  PRIMARY KEY (IDT_TRANSACAO, NR_PARCELA);
END

